### Property

# Clutter Actor:transform

#### Declaration

    property transform: Graphene.Matrix [ read, write ]

#### Description [src]

Overrides the transformations of a `ClutterActor` with a custom matrix.

The matrix specified by the `ClutterActor:transform` property is applied to the actor and its children relative to the actor’s `ClutterActor:allocation` and `ClutterActor:pivot-point`.

Application code should rarely need to use this function directly.

Setting this property with a #graphene_matrix_t will set the `ClutterActor:transform-set` property to `TRUE` as a side effect; setting this property with `NULL` will set the `ClutterActor:transform-set` property to `FALSE`.

The `ClutterActor:transform` property is animatable.

Type:`graphene_matrix_t`

Getter method | `clutter_actor_get_transform()`
Setter method | `clutter_actor_set_transform()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no